Update a user’s status using a specific user attribute (Machine-to-Machine)
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "deactivated"
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}"
payload = { "status": "deactivated" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'deactivated'})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'deactivated'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}"
payload := strings.NewReader("{\n \"status\": \"deactivated\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"deactivated\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"deactivated\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "non-unique-attribute",
"message": "Search criteria does not give unique result"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "user-not-found",
"message": "User not found"
}
]
}{
"operationErrors": [
{
"code": "user-active-subscription",
"message": "User not found"
}
]
}Update a user’s status using a specific user attribute (Machine-to-Machine)
Changes the status of the Connect user specified by attributeName and attributeValue.
POST
/
activation
/
user
/
status
/
byattribute
/
{attributeName}
/
{attributeValue}
Update a user’s status using a specific user attribute (Machine-to-Machine)
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "deactivated"
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}"
payload = { "status": "deactivated" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'deactivated'})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'deactivated'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}"
payload := strings.NewReader("{\n \"status\": \"deactivated\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"deactivated\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/status/byattribute/{attributeName}/{attributeValue}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"deactivated\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "non-unique-attribute",
"message": "Search criteria does not give unique result"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "user-not-found",
"message": "User not found"
}
]
}{
"operationErrors": [
{
"code": "user-active-subscription",
"message": "User not found"
}
]
}Authorizations
OAuth 2.0 Authentication
Path Parameters
The name of the attribute that identifies the user: 'emails.email'
The value of the attribute that identifies the user: john@example.com
Body
application/json
The desired user status. Possible values for this call include: • activated • suspended • deactivated
Available options:
activating, activated, suspended, deactivated, unknown Example:
"deactivated"
Response
OK

